%define beta 1
Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:    	kdepim
Summary: 	PIM (Personal Information Manager) applications
Version:	4.5
Release:	3

License: 	GPLv2
Group:          Graphical Desktop/KDE4
URL:	 	http://www.kde.org/
Source0: 	ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdepim-%{version}%{?beta:-beta%{beta}}.tar.bz2
# fix linking against libqgpgme
Patch0:		kdepim-4.1.80-libqgpgme-link-fix.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      i686
Requires: 	%{name}-libs = %{?epoch:%{epoch}:}%{version}-%{release}
Requires:	libassuan
Requires:	kdepim-runtime
Requires(post): xdg-utils
Requires(postun): xdg-utils

BuildRequires:	libindicate-qt-devel
BuildRequires:	akonadi-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  shared-desktop-ontologies
BuildRequires: 	bison flex
BuildRequires: 	boost-devel
BuildRequires: 	cmake
BuildRequires: 	desktop-file-utils
BuildRequires: 	libXpm-devel
# TODO: libmapi from http://www.openchange.org/
#BuildRequires: libmapi-devel <- requires samba4 not yet ready
BuildRequires: 	libopensync-devel
BuildRequires: 	libxslt-devel
#BuildRequires: 	lockdev-devel <- not needed 
BuildRequires: 	python26-devel
BuildRequires: 	qca-devel
BuildRequires:  automoc4
# these seem mostly bogus, not checked for, but linked nonetheless -- Rex
BuildRequires: 	giflib-devel
BuildRequires: 	pcre-devel
BuildRequires:	libassuan-devel
BuildRequires:  libmal-devel

##Optional bits
#Requires(hint): pinentry-gui
#Requires(hint): spambayes
#Requires(hint): spamassassin
Obsoletes: 	kdepim4 < %{version}-%{release}
Provides:  	kdepim4 = %{version}-%{release}

#Automatically resolved build dependencies
BuildRequires: coreutils
BuildRequires: glibc-devel
BuildRequires: gnokii-devel
BuildRequires: gpgme-devel
BuildRequires: kdelibs-devel	>= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: kdepim-runtime-devel >= %{version}
BuildRequires: libgcc
BuildRequires: libgpg-error-devel
BuildRequires: libstdc++-devel
BuildRequires: libX11-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: perl
BuildRequires: phonon-devel
BuildRequires: pilot-link-devel
BuildRequires: qt4-devel
BuildRequires: soprano-devel
BuildRequires: strigi-devel
BuildRequires: zlib-devel

%description
%{summary}, including:
* akregator: feed aggregator 
* kmail: email client
* knode: newsreader
* knotes: sticky notes for the desktop
* kontact: integrated PIM management
* korganizer: journal, appointments, events, todos
%{?_with_pilot_link:* kpilot: HotSync® software for Palm OS® devices}

%package libs
Summary: 	%{name} runtime libraries
Group:   	System/Libraries
#Requires: kdelibs4 >= %{version}
# include to be paranoid, installing libs-only is still mostly untested -- Rex
Requires: 	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: 	kdepim4-libs < %{version}-%{release}
Provides:  	kdepim4-libs = %{version}-%{release}

%description libs
%{summary}.


%prep
%setup -qn %{name}-%{version}%{?beta:-beta%{beta}}
%patch0 -p1

%build
LDFLAGS="$LDFLAGS -L/usr/lib/kde4/devel/"

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1



%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# make symlinks relative
mkdir -p %{buildroot}%{_docdir}/HTML/en/common
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -nfs ../common $i
   fi
done
popd

# Fix double file
rm -f %{buildroot}/usr/share/icons/oxygen/32x32/actions/appointment-new.png

%post
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :


%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README 
%doc COPYING
%{_kde4_bindir}/*
%{_kde4_libdir}/kde4/*
%{_kde4_libdir}/strigi/*.so
%{_kde4_datadir}/applications/kde4/*
%{_kde4_appsdir}/*
%{_datadir}/dbus-1/interfaces/*.xml
%{_kde4_datadir}/autostart/*
%{_kde4_datadir}/config/*rc
%{_kde4_datadir}/config.kcfg/*
%{_kde4_datadir}/icons/hicolor/*/*/*
%{_kde4_datadir}/icons/oxygen/*/*/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_docdir}/HTML/en/*
#%{_kde4_datadir}/akonadi/agents/nepomukemailfeeder.desktop
%{_mandir}/man1/kabcclient.1.gz
%{_kde4_libdir}/akonadi/contact/editorpageplugins/cryptopageplugin.so
%{_kde4_datadir}/akonadi/agents/nepomukemailfeeder.desktop

%files libs
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so*


%changelog
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5-3
- rebuilt
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5-2
- rebuilt
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5-1
- Version Update, beta 1
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.5-1
- Version Update
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- Version Update
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Thu Jun 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4-1
- Version update
* Fri May 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Apr 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-1
- Version update
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.0-1
- Version update
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.96-1
- version update
* Wed Jan 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.87-1
- version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-1
- version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.80-1
- version update
* Wed Nov 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-1
- version update
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- version update
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Sun Aug 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.0-3
- rebuilt with opensync support
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- renamed package
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 Beta 2 )
* Tue Jun 17 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-1
- Initial release
